// my.cpp : Defines the entry point for the console application.
//
#include "MyStream.h"
#include "math.h"
using namespace std;

double w=0.0; // global;
// prototypes: 
int f1(double& x);
int f2(int& x); 
int f4(); 
int dswp1(double x, double y);
int dswp3(double& x, double& y);

int main()
{  
  myofs.open("protocol.txt");
  myofs << setiosflags(ios::fixed) << setiosflags(ios::right) << setw(10);
  {
  myofs << "Team 123,   . 18  2008 ." << endl; 
  myofs << "  02-08.    " << endl << endl; 
  }
  {    
    myofs << " 1.   double  " << endl;
    double z = 987.654; 
    myofs << "     f1(z)   z  " << z << endl;
    int m = f1(z); 
    myofs << "  f1(z)   z  " << z << endl << endl;
  }
  {    
    myofs << " 2.   int  " << endl;
    int n = 987; 
    myofs << "     f2(n)   n  " << n << endl;
    int m = f2(n); 
    myofs << "  f2(n)   n  " << n << endl << endl;
  }
  {    
    myofs << " 3.    swap(double, double)" << endl;
    double x = 123.456, y=987.654; 
    myofs << "        x=" << x << ",  y=" << y << endl;
    dswp1(x, y);
    myofs << "  dswp1(x, y) x=" << x << ",  y=" << y << endl << endl;
  }
  {    
    myofs << " 4.    swap(double&, double&)" << endl;
    myofs << "   !!!" << endl;
    double x = 123.456, y=987.654; 
    myofs << "        x=" << x << ",  y=" << y << endl;
    dswp3(x, y);
    myofs << "  dswp2(x, y) x=" << x << ",  y=" << y << endl << endl;
  }
  {    
    myofs << " 5.     ." << endl;
    myofs << "     f4()    w  " << w << endl;
    f4(); 
    myofs << "  f4()    w  " << w << endl << endl;
  }
  myofs.close();
  return 0;
}

int f1(double& x){ 
  x = 123.567;
  return 1; 
}
int f2(int& x){ 
  x = 321;
  return 1; 
}
int f4(){ 
  w = 789.987;
  return 1; 
}

int dswp1(double x, double y){
  double z=x;
  x=y;
  y=z; 
  return 1;
} 
int dswp3(double& x, double& y){
  double z=x;
  x=y;
  y=z; 
  return 1;
} 


